HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostFinancialConnectionsAccountsAccountDisconnect

Contains the different functions to run the operation postFinancialConnectionsAccountsAccountDisconnect

  • 2 types
  • 2 values
  • Packagestripeapi-3.0.0.0
  • Exports4
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostFinancialConnectionsAccountsAccountDisconnect.hs
valuepostFinancialConnectionsAccountsAccountDisconnect
  1. :: MonadHTTP m
  2. => Text

    account | Constraints: Maximum length of 5000

  3. -> Maybe PostFinancialConnectionsAccountsAccountDisconnectRequestBody

    The request body to send

  4. -> ClientT m (Response PostFinancialConnectionsAccountsAccountDisconnectResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/financial_connections/accounts/{account}/disconnect

<p>Disables your access to a Financial Connections <code>Account</code>. You will no longer be able to access data associated with the account (e.g. balances, transactions).</p>

Defines the object schema located at paths./v1/financial_connections/accounts/{account}/disconnect.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postFinancialConnectionsAccountsAccountDisconnect.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostFinancialConnectionsAccountsAccountDisconnectResponseError is used.

Instances2Eq, Show